# -*- coding: utf-8 -*-


class Conf(object):
    def _guess_command(self):
        from os import popen
        for t in ['xfce4-terminal --disable-server --hide-menubar --hide-toolbars','gnome-terminal --disable-factory --hide-menubar','xterm','rxvt']:
            if popen('which %s'%t.split()[0]).read():
                return t
        return ''
    def __init__(self,rcpath):
        from os.path import expanduser
        self.COMMAND=''
        self.POSITION='top-center'
        self.WIDTH=100
        self.HEIGHT=50
        self.RESPAWN=False
        self.FIND_WINDOW_TIMEOUT=15
        self._rcpath=expanduser(rcpath)
        self._read()
    def _read(self):
        import string
        from os.path import exists
        self._tpl=''
        keys=[k for k in self.__dict__.keys() if not k.startswith('_')]
        if exists(self._rcpath):
            self._exists=True
            for line in file(self._rcpath):
                line=line.replace('%','%%')
                line2=line.split('#',1)[0]
                if '=' in line2:
                    k,v=[v.strip(string.whitespace+'"\'')
                            for v in line2.split('=',1)]
                    if k in keys:
                        keys.remove(k)
                        if v.isdigit():
                            setattr(self,k,int(v))
                        elif v.lower() in ('true','false'):
                            setattr(self,k,v.lower()=='true')
                        else:
                            setattr(self,k,v)
                        line=line.replace(v,'%('+k+')s')
                self._tpl+=line
        else:
            self._exists=False
            self.COMMAND=self._guess_command()
        for k in keys:
            self._tpl+=k+' = %('+k+')s\n'
    def _write(self):
        data=self._tpl % self.__dict__
        open(self._rcpath,'w').write( data )
    def _geom(self,scrobj):
        w = int(scrobj.get_width()/100.0*float(self.WIDTH))
        h = int(scrobj.get_height()/100.0*float(self.HEIGHT))
        if 'right' in self.POSITION.lower(): x = scrobj.get_width()-w
        elif 'left' in self.POSITION.lower(): x = 0
        else: x = scrobj.get_width()/2-(w/2)
        if 'bottom' in self.POSITION.lower(): y = scrobj.get_height()-h
        elif 'top' in self.POSITION.lower(): y = 0
        else: y = scrobj.get_height()/2-(h/2)
        return ((x,y),(w,h))

        




