#!/usr/bin/env python
# -*- coding: utf-8 -*-

import os,glob
from setuptools import setup, find_packages
try:
    from DistUtilsExtra.command import *
except ImportError:
    pass


import qcon


setup(
    name = qcon.__title__,
    version = qcon.__version__,
    #package_dir  = {"qcon" : ""},
    packages = find_packages(),
    scripts = glob.glob("bin/*"),

    #install_requires = ["pygtk>=2.0","gobject","xfce4"],

    author = "Mikhail Sakhno",
    author_email = "pawn13@gmail.com",
    description = """qcon. Turns any terminal emulator for X into quake-style console.""",
    long_description = """qcon. Turns any terminal emulator for X into quake-style console.
    Similar to tilda/kuake/etc, but is't terminal emulator by itself,
    qcon would use your favourite one, controlling it's window position
    and state.

    Type "qcon -h" for usage information.
    """,
    classifiers=[
        'Environment :: X11 Applications',
        'Intended Audience :: End Users/Desktop',
    #    'License :: GNU General Public License (GPL)',
        'Operating System :: POSIX',
        'Programming Language :: Python',
        'Topic :: Terminals :: Terminal Emulators/X Terminals',
    ],

    license = "GPL",
    keywords = "terminal gtk",
    platforms = "POSIX",
    url = qcon.__url__,
    #download_url = "http://qcon.spirali.ru/get/qcon-%s.tar.gz"%version,

    data_files=[('share/qcon', glob.glob('share/*')),
		('share/applications', ['share/qcon.desktop']),
                ('share/pixmaps', ['share/qcon.png']),
                ('share/doc/qcon', ['README','INSTALL','CHANGELOG','TODO','COPYING','USAGE']),],
)

